curl --request GET \
--url https://api.veryfront.com/projects \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veryfront.com/projects"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veryfront.com/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"slug": "my-project",
"name": "My Project",
"description": "A sample project description",
"is_claimed": true,
"features": [
"<string>"
],
"environments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"protected": true,
"domains": [
"<string>"
],
"environment_variables": [
"<unknown>"
],
"active_release_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"server_hostname": "<string>"
}
],
"releases": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"export_status": "<string>",
"build_status": "<string>",
"deploy_status": "<string>"
}
],
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z",
"published_at": "<string>",
"prompt_count": 123,
"config": {},
"provider": "<string>",
"layout": "<string>",
"type": "regular",
"system_managed": true,
"users": [
{
"id": "<string>",
"email": "<string>",
"name": "<string>",
"role": "<string>",
"avatar_src": "<string>"
}
],
"capabilities": [
"project.read"
],
"capabilities_version": 123,
"labels": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"namespace": "<string>",
"key": "<string>",
"value": "<string>",
"color": "<string>"
}
]
}
],
"page_info": {
"self": "<string>",
"first": null,
"next": "<string>",
"prev": "<string>"
}
}Authorizations
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Query Parameters
Cursor for pagination from previous response
"eyJpZCI6IjEyMyJ9"
1 <= x <= 10020
Sort field.
"created_at"
Sort order.
asc, desc "desc"
Search term to filter projects by name or slug
"my-project"
Filter by template status (true = only templates, false = exclude templates)
true, false "false"
Filter by project type
regular, default, template "default"
Filter by system managed status
true, false "true"
Filter by relationship to the authenticated user: all accessible projects, owned projects, or invited projects
all, owned, invited "owned"
Filter projects by a user ID that has access to them. Non-admin user tokens may only use their own user ID.
"660e8400-e29b-41d4-a716-446655440001"
Label filters as key or key=value, repeated or comma-separated. Example: ?label=team=platform&label=criticality=high